# Retrieve a Workflow Run Retrieves the details of a Workflow Run by ID. ## Returns ## Response attributes - `id` (string) The unique ID of the Workflow Run. - `object` (string, value is "v2.extend.workflow_run") String representing the object’s type. Objects of the same type share the same value of the object field. - `created` (timestamp) When the Workflow Run was created. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `status` (enum) The current Workflow Run execution status. Possible enum values: - `failed` This Workflow Run has terminated because of a failure. - `started` This Workflow Run is actively executing. - `succeeded` This Workflow Run has progressed to a successful completion. - `status_details` (object, nullable) Details about the Workflow Run’s status transitions. - `status_details.failed` (object, nullable) Details about the Workflow Run’s transition into the FAILED state. - `status_details.failed.error_message` (string, nullable) Optional details about the failure result. - `status_details.started` (object, nullable) Details about the Workflow Run’s transition in to the STARTED state. - `status_details.succeeded` (object, nullable) Details about the Workflow Run’s transition into the SUCCEEDED state. - `status_transitions` (object) Summary information about the Workflow Run’s status transitions. - `status_transitions.failed_at` (timestamp, nullable) When the Workflow Run failed. - `status_transitions.started_at` (timestamp, nullable) When the Workflow Run was started. - `status_transitions.succeeded_at` (timestamp, nullable) When the Workflow Run succeeded. - `trigger` (object) A record of the trigger that launched this Workflow Run. - `trigger.event_trigger` (object, nullable) The Workflow Run was launched when Stripe emitted a certain event. - `trigger.event_trigger.id` (string) The Stripe event that triggered this Run. - `trigger.event_trigger.context` (string) The account that generated the triggering event. - `trigger.event_trigger.type` (string) The Stripe event type triggered this Run. - `trigger.manual` (object, nullable) The Workflow Run was launched through a direct call, using either the Dashboard or the Stripe API. - `trigger.manual.input_parameters` (map) The input parameters used when launching the Run. - `trigger.type` (enum) Which type of trigger this is. Possible enum values: - `event_trigger` This Workflow is triggerable through a Stripe-generated event. - `manual` This Workflow is triggerable by invoking it through the Dashboard or the API. - `workflow` (string) The Workflow this Run belongs to. ## Error Codes | HTTP status code | Code | Description | | ---------------- | --------- | -------------------------- | | 404 | not_found | The resource wasn’t found. | ```curl curl https://api.stripe.com/v2/extend/workflow_runs/wfrun_test_61UTL7vuMHzp5fHTd16TT0rUFzSQLefl99yAJBArITFo \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` ### Response ```json { "id": "wfrun_test_61UTL7vuMHzp5fHTd16TT0rUFzSQLefl99yAJBArITFo", "object": "v2.extend.workflow_run", "created": "2026-04-08T14:33:27.076Z", "status": "succeeded", "status_details": { "failed": null, "started": {}, "succeeded": {} }, "status_transitions": { "failed_at": null, "started_at": "2026-04-08T14:33:27.335Z", "succeeded_at": "2026-04-08T14:33:29.177Z" }, "trigger": { "event_trigger": { "id": "evt_1TJxAYHa3TtWqyXkmZHWuTlk", "context": "acct_1Nv0FGQ9RKHgCVdK", "type": "customer.created" }, "type": "event_trigger" }, "workflow": "wf_test_61UNwDso5RkJhsXt116TT0rUFzSQLefl99yAJBArIFXc", "livemode": false } ```